curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core",
"codes": [
"<string>"
],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core",
"codes": ["<string>"],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core',
codes: ['<string>'],
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core',
'codes' => [
'<string>'
],
'start_date' => '2023-11-07T05:31:56Z',
'end_date' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"coin_data": [
{
"key": "<string>",
"value": [
{
"$type": "Derivitec.Web.Core.MarketData.CryptoCoinData, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"volume": 123,
"circulating_supply": 123,
"date": "2023-11-07T05:31:56Z",
"code": "<string>"
}
]
}
]
}Retrieve cryptocurrency observations.
Use this operation to retrieve dated cryptocurrency observations, such as those for code BTC, over
an inclusive range. Results are grouped under the requested coin codes and include only observations that
are available. The request has no provider selector and does not modify market data.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core",
"codes": [
"<string>"
],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core",
"codes": ["<string>"],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core',
codes: ['<string>'],
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core',
'codes' => [
'<string>'
],
'start_date' => '2023-11-07T05:31:56Z',
'end_date' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetCryptoCoinData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core\",\n \"codes\": [\n \"<string>\"\n ],\n \"start_date\": \"2023-11-07T05:31:56Z\",\n \"end_date\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"coin_data": [
{
"key": "<string>",
"value": [
{
"$type": "Derivitec.Web.Core.MarketData.CryptoCoinData, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"volume": 123,
"circulating_supply": 123,
"date": "2023-11-07T05:31:56Z",
"code": "<string>"
}
]
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload containing non-empty cryptocurrency Codes and start/end values interpreted as date-only inclusive boundaries.
Queries dated crypto-asset observations by code and date range.
Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataRequest, Derivitec.Web.Core Asset codes that narrow the crypto coin operation.
Inclusive lower date-only boundary for the requested observations.
Inclusive upper date-only boundary for the requested observations.
Response
Returns available cryptocurrency observations grouped by code.
Returns dated crypto-asset observations.
Derivitec.Web.Core.MarketData.ApiGetCryptoCoinDataResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Crypto-asset observations returned by the query.
Show child attributes
Show child attributes
Was this page helpful?